<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN" "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" [
<!ENTITY version SYSTEM "version.xml">
]>
<refentry id="milter-manager-MilterEncoder">
<refmeta>
<refentrytitle role="top_of_page" id="milter-manager-MilterEncoder.top_of_page">MilterEncoder</refentrytitle>
<manvolnum>3</manvolnum>
<refmiscinfo>milter managerライブラリ</refmiscinfo>
</refmeta>
<refnamediv>
<refname>MilterEncoder</refname>
<refpurpose/>
</refnamediv>

<refsynopsisdiv id="milter-manager-MilterEncoder.synopsis" role="synopsis">
<title role="synopsis.title">概要</title>

<synopsis>                    <link linkend="MilterEncoder">MilterEncoder</link>;
<link linkend="MilterEncoder"><returnvalue>MilterEncoder</returnvalue></link> *     <link linkend="milter-encoder-new">milter_encoder_new</link>                  (void);
<link linkend="GString"><returnvalue>GString</returnvalue></link> *           <link linkend="milter-encoder-get-buffer">milter_encoder_get_buffer</link>           (<link linkend="MilterEncoder"><returnvalue>MilterEncoder</returnvalue></link> *encoder);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-encoder-pack">milter_encoder_pack</link>                 (<link linkend="MilterEncoder"><returnvalue>MilterEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-encoder-encode-negotiate">milter_encoder_encode_negotiate</link>     (<link linkend="MilterEncoder"><returnvalue>MilterEncoder</returnvalue></link> *encoder,
                                                         <link linkend="MilterOption"><returnvalue>MilterOption</returnvalue></link> *option);
</synopsis>
</refsynopsisdiv>

<refsect1 id="milter-manager-MilterEncoder.description" role="desc">
<title role="desc.title">説明</title>
<para>
</para>
</refsect1>
<refsect1 id="milter-manager-MilterEncoder.details" role="details">
<title role="details.title">詳細</title>
<refsect2 id="MilterEncoder" role="struct">
<title>MilterEncoder</title>
<indexterm zone="MilterEncoder"><primary>MilterEncoder</primary></indexterm>
<programlisting>typedef struct {
    GObject object;
} MilterEncoder;
</programlisting>
<para>
</para></refsect2>
<refsect2 id="milter-encoder-new" role="function">
<title>milter_encoder_new ()</title>
<indexterm zone="milter-encoder-new"><primary>milter_encoder_new</primary></indexterm>
<programlisting><link linkend="MilterEncoder"><returnvalue>MilterEncoder</returnvalue></link> *     milter_encoder_new                  (void);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-encoder-get-buffer" role="function">
<title>milter_encoder_get_buffer ()</title>
<indexterm zone="milter-encoder-get-buffer"><primary>milter_encoder_get_buffer</primary></indexterm>
<programlisting><link linkend="GString"><returnvalue>GString</returnvalue></link> *           milter_encoder_get_buffer           (<link linkend="MilterEncoder"><returnvalue>MilterEncoder</returnvalue></link> *encoder);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>encoder</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-encoder-pack" role="function">
<title>milter_encoder_pack ()</title>
<indexterm zone="milter-encoder-pack"><primary>milter_encoder_pack</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_encoder_pack                 (<link linkend="MilterEncoder"><returnvalue>MilterEncoder</returnvalue></link> *encoder,
                                                         <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **packet,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *packet_size);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>encoder</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>packet_size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-encoder-encode-negotiate" role="function">
<title>milter_encoder_encode_negotiate ()</title>
<indexterm zone="milter-encoder-encode-negotiate"><primary>milter_encoder_encode_negotiate</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_encoder_encode_negotiate     (<link linkend="MilterEncoder"><returnvalue>MilterEncoder</returnvalue></link> *encoder,
                                                         <link linkend="MilterOption"><returnvalue>MilterOption</returnvalue></link> *option);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>encoder</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>option</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>

</refsect1>

</refentry>
